Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
documentazione online GNOME
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
allxsan
n00b
n00b


Joined: 11 Aug 2010
Posts: 49

PostPosted: Sat Sep 03, 2011 7:42 pm    Post subject: documentazione online GNOME Reply with quote

ciao a tutti, la faccio molto breve :)

giorni fa ho fatto un nuova installazione di gnome ("base")
per cui ho selezionato il profilo "desktop gnome" e tutto e' andato avanti abbastanza bene, nel senso che ha compilato senza dover fare ulteriori modifiche.

in seguito ho aggiunto altre applicazioni (tutte gtk Gnome ), in qualche caso mi ha chiesto di aggiungere qualche "USE"
tutto bene, a parte qualche intoppo.

Ieri sera ha chiamato mio fratello, viene mercoledi' e si trattiene alcuni giorni, io non posso seguirlo tutto il giorno e lui dovra' usare Linux (con Gnome) senza il mio intervento costante.
"Beh, tanto basta premere F1 e un minimo di aiuto e spiegazione la trovi". Sorpresa ! Ero convinto che per includere la documentazione online fosse sufficiente scegliere il profilo "Gnome Desktop" e, AGGIUNGO, mi sembra anche una cosa normalissima! perche' il menu "Aiuto" e' presente ovunque (anche se io non l'ho mai usato ), invece sembra sia necessario aggiungere manualmente "USE=DOC" in make.conf e a me non sembra logico, perche' premendo quel tasto appare solo una pagina di errore.

Pazienza.
Aggiungo "doc" in make.conf e :

Code:
asushost allx # emerge -uav --deep --newuse @world

 * IMPORTANT: 4 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds built with USE flags to satisfy "app-text/docbook-sgml-utils[jadetex]".
!!! One of the following packages is required to complete your request:
- app-text/docbook-sgml-utils-0.6.14-r1::gentoo (Change USE: +jadetex)
(dependency required by "media-libs/fontconfig-2.8.0-r1[doc]" [ebuild])
(dependency required by "x11-libs/gtk+-2.24.5-r1" [ebuild])
(dependency required by "dev-python/pygtk-2.24.0-r1" [ebuild])
(dependency required by "dev-vcs/git-1.7.6.1[python,gtk]" [ebuild])
(dependency required by "sys-devel/gettext-0.18.1.1-r2[git]" [ebuild])
(dependency required by "dev-libs/atk-1.32.0-r1[nls]" [ebuild])

 * IMPORTANT: 4 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


ok, aggiungo "jadetex" tra gli use sperando di risolvere, invece :

Code:
asushost allx # nano /etc/make.conf
asushost allx # emerge -uav --deep --newuse @world

 * IMPORTANT: 4 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds built with USE flags to satisfy "app-text/docbook-sgml-utils[jadetex]".
!!! One of the following packages is required to complete your request:
- app-text/docbook-sgml-utils-0.6.14-r1::gentoo (Change USE: +jadetex)
(dependency required by "media-libs/fontconfig-2.8.0-r1[doc]" [ebuild])
(dependency required by "x11-libs/gtk+-2.24.5-r1" [ebuild])
(dependency required by "dev-python/pygtk-2.24.0-r1" [ebuild])
(dependency required by "dev-vcs/git-1.7.6.1[python,gtk]" [ebuild])
(dependency required by "sys-devel/gettext-0.18.1.1-r2[git]" [ebuild])
(dependency required by "dev-libs/atk-1.32.0-r1[nls]" [ebuild])

 * IMPORTANT: 4 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

asushost allx # nano /etc/make.conf
asushost allx # emerge -uav --deep --newuse @world

 * IMPORTANT: 4 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-block/parted:0

  (sys-block/parted-2.4::gentoo, installed) pulled in by
    <sys-block/parted-3 required by (sys-block/gparted-0.8.0::gentoo, installed)

  (sys-block/parted-3.0::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


!!! The ebuild selected to satisfy "dev-lang/php" has unmet requirements.
- dev-lang/php-5.3.8::gentoo USE="berkdb bzip2 cli crypt ctype doc exif fileinfo filter gdbm hash iconv ipv6 json ldap (multilib) nls phar posix readline session simplexml spell sqlite ssl tokenizer truetype unicode xml zlib (-adabas) -apache2 -bcmath (-birdstep) -calendar -cdb -cgi -cjk -curl -curlwrappers -db2 (-dbmaker) -debug -embed (-empress) (-empress-bcs) -enchant (-esoob) -firebird -flatfile -fpm (-frontbase) -ftp -gd -gd-external -gmp -imap -inifile -interbase -intl -iodbc -kerberos -kolab -ldap-sasl -libedit -mhash -mssql -mysql -mysqli -mysqlnd -oci8 -oci8-instant-client -odbc -pcntl -pdo -pic -postgres -qdbm -recode -sapdb -sharedext -sharedmem -snmp -soap -sockets (-solid) -sqlite3 -suhosin (-sybase-ct) -sysvipc -threads -tidy -wddx -xmlreader -xmlrpc -xmlwriter -xpm -xsl -zip"

  The following REQUIRED_USE flag constraints are unsatisfied:
    truetype? ( any-of ( gd gd-external ) ) exif? ( any-of ( gd gd-external ) )

  The above constraints are a subset of the following complete expression:
    truetype? ( any-of ( gd gd-external ) ) cjk? ( any-of ( gd gd-external ) ) exif? ( any-of ( gd gd-external ) ) xpm? ( gd ) gd? ( zlib !gd-external ) gd-external? ( !gd ) simplexml? ( xml ) soap? ( xml ) wddx? ( xml ) xmlrpc? ( any-of ( xml iconv ) ) xmlreader? ( xml ) xsl? ( xml ) ldap-sasl? ( ldap !oci8 ) adabas? ( odbc ) birdstep? ( odbc ) dbmaker? ( odbc ) empress-bcs? ( empress ) empress? ( odbc ) esoob? ( odbc ) db2? ( odbc ) sapdb? ( odbc ) solid? ( odbc ) kolab? ( imap ) mhash? ( hash ) phar? ( hash ) mysqlnd? ( any-of ( mysql mysqli pdo ) ) oci8? ( !oci8-instant-client !ldap-sasl ) oci8-instant-client? ( !oci8 ) qdbm? ( !gdbm ) readline? ( !libedit ) recode? ( !imap !mysql !mysqli ) firebird? ( !interbase ) sharedmem? ( !threads ) !cli? ( !cgi? ( !fpm? ( !apache2? ( !embed? ( cli ) ) ) ) )

(dependency required by "media-libs/libvpx-0.9.7[doc]" [ebuild])
(dependency required by "net-libs/xulrunner-2.0.1-r1[webm]" [installed])
(dependency required by "gnome-extra/yelp-2.30.2-r6" [installed])
(dependency required by "gnome-base/gnome-light-2.32.1" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])

 * IMPORTANT: 4 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.



questa volta non fornisce indicazioni specifiche, ho provato ad eliminare GParted (che "tirava dentro" parted-2 e ad installare parted-3, poi ho provato ad aggiungere "truetype" e varoi altri ma non e' cambiato nulla.

Troppa fatica per includere l'help online !
In questo momento sto installando anche Gentoo su due notebook, quindi sono fuso (e stufo !)

Suggerimenti per risolvere il problema della documentazione Gnome online ? In un secondo momento provero' a scaricare e compliare Gparted 9, che ancora non c'e' in portage ( che molto probabilmente funziona con parted-3 )

grazie


NOTA

se tolgo USE="doc" dal mio make.conf i problemi svaniscono e riesco a compilare piu' o meno qualsiasi cosa
Back to top
View user's profile Send private message
allxsan
n00b
n00b


Joined: 11 Aug 2010
Posts: 49

PostPosted: Sun Sep 04, 2011 9:01 am    Post subject: Reply with quote

Il vantaggio principale, con Gentoo, e' sicuramente la velocita' di funzionamento dell'intero sistema
per dare "numeri", direi che tutto e' piu' veloce e scattante di almeno un 50% rispetto a Ubuntu, Fedora & co. ...
fondamentalmernte ottenuto impostando semplicemente "march=native mtune=native.."
ma purtroppo intervengono continuamente inghippi che costringono spesso a perdere ore (o giorni) attendendo di trovare la soluzione al problema prima di poter effettuare aggiornamenti. variazioni e altro

Ieri dicevo che stavo installando anche su due notebook, anche in quei casi problemi succhiatempo a non finire !
Su un notebook, probabilmente a causa del chipset, alla fine non andava il dvd/masterizzatore, nel senso che non rilevava alcun tipo di disco. In un caso, con una delle tante configurazionio tentate, indicava correttamente il titolo del DVD inserito, ma andando a tentare di metterlo in "play" appariva unb messaggioi errore folle: nessun disco
Bene compilo e ricompilo il kernel, tentando anche con la versione scsi dei driver cdrom, cambio in vari modi fstab (dopo aver letto pagine e pagine di documentazione ufficiale Gentoo in varie lingue, spesso diverse tra loro, a volte obsolete..), niente da fare. A quel punto elimino del tutto il dvd/cd/masterizzatore da fstab e improvvisameente prende a funzionare perfettamente :evil:


:( nessuno riesce a suggerire come provare a risolvere il problema delle documentazione online evitandomi ore di tentativi ?
grazie
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2912
Location: Parma (Italy)

PostPosted: Mon Sep 05, 2011 9:01 am    Post subject: Reply with quote

la use doc quasi sicuramente non ti servirà a niente. Io non ce l'ho e la documentazione di gnome ce l'avevo comunque. Hai installato gnome-extra/yelp ? Il "browser" della documentazione è quello e se non ce l'hai.
E, ad ogni modo, è meglio mettere la use doc solo per i pacchetti che ti servono andando ad editare opportunamente il file /etc/portage/package.use
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
allxsan
n00b
n00b


Joined: 11 Aug 2010
Posts: 49

PostPosted: Mon Sep 05, 2011 9:43 am    Post subject: Reply with quote

Onip wrote:
la use doc quasi sicuramente non ti servirà a niente. Io non ce l'ho e la documentazione di gnome ce l'avevo comunque. Hai installato gnome-extra/yelp ? Il "browser" della documentazione è quello e se non ce l'hai.
E, ad ogni modo, è meglio mettere la use doc solo per i pacchetti che ti servono andando ad editare opportunamente il file /etc/portage/package.use


L'help c'è, manca la documentazione, quando si preme f1 appare la classica finestra e poi la dicitura che il file di aiuto richiesto non è presente. A me non serve, fosse anche solo perché smanetto con l'informatica fin ragazzino, fine anni 70. Sono stato sysop fidonet per anni e uso anche linux fin dagli inizi (sono stato anche btester e distributore mandrale cooker per alcuni anni, quando pochi avevano una connessione decente e chiedevano i cd di installazione). La documentazione (l'help online) serve quando creo un account su un pc per amici e parenti, per cui la voglio tutta presente
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Mon Sep 05, 2011 1:02 pm    Post subject: Reply with quote

Purtroppo la use doc impostata globalmente scatena una serie infinita di dipendenze circolari (per questo è fortemente sconsigliata) in particolare se attivata su un sistema incompleto. E si deve evitare di abilitare tutte le use in una sola volta se non si sa quel che si sta facendo (o non si ha una notevole confidenza, a livello intuitivo, con le dipendenze dei vari pacchetti)
Abilitala solo per quei pacchetti in cui la ritieni necessaria (NB prevalentemente è riferita alla documentazione di sviluppo non a quella d'uso).

Se vuoi che ti spieghi cosa sono e come si risolvono le dipendenze circolari è diverso ed USE="doc" emerge -pNDutv qualcosa aiuta.
Il classico esempio è se abiliti la use gtk e gcj globalmente prime di aggiornare e completare il sistema base, siccome il gcc usa gtk per il frontend grafico vuole che sia installato gtk prima ma contemporaneamente gtk vuole che sia installato prima il gcc. La soluzione è un banale emerge -1 gtk+ nel tuo caso vedo anche diverse use flag mancanti od in conflitto.
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2912
Location: Parma (Italy)

PostPosted: Mon Sep 05, 2011 2:23 pm    Post subject: Reply with quote

purtroppo non posso dirti di più perchè ho fatto in modo di rimuovere yelp dal mio sistema, ma ti posso assicurare che le poche volte che ho cliccato nel menu di aiuto le pagine di help "utente" c'erano tutte e, ribadisco, non ho la use doc abilitata per la stragrande maggioranza dei pacchetti di gnome. Se non sbaglio sono installate in /usr/share/gnome/help controlla di non avere un problema di permessi.
Sul sito di gnome è possibile trovare copie delle pagine di help.
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Mon Sep 05, 2011 2:53 pm    Post subject: Reply with quote

dimenticavo: forse
Code:
emerge gnome-user-doc
(ricavato da un banale eix gnome | less cercando con /docum) è necessario?

Rimarco che non uso gnome e tiro ad indovinare.
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
allxsan
n00b
n00b


Joined: 11 Aug 2010
Posts: 49

PostPosted: Mon Sep 05, 2011 4:12 pm    Post subject: Reply with quote

djinnZ wrote:
dimenticavo: forse
Code:
emerge gnome-user-doc
(ricavato da un banale eix gnome | less cercando con /docum) è necessario?

Rimarco che non uso gnome e tiro ad indovinare.


Mi sono limitato a scegliere il profilo "gnome desktop" prima di procedere, poi ho aggiunto qualche "use" al make.conf perché emerge ne segnalava la necessità. Fondamentalmente funziona tutto e molto velocemente, il problema è l'help online (per gli amici per niente pratici). Grazie, mi avete fornito abbastanza indicazioni per poter fare altri tentativi, questa volta con successo.
Esiste una lista di use "standard" da impostare in make.conf per installare nuovamente gnome-light (rigorosamente 2.32) ? Voglio provare su un vecchio hd ide da 160gb che non uso da tempo, se tutto funziona cambio fstab, la configurazione di grub e qualche altra cosa, così sposto tutto su un sata da 500. Sono abituato ad usare gnome 2.32, senza contare che non voglio fare a meno di alcune applet (per esempio netspeed, sensors...), quindi niente gnome 3. Mentre un tempo ero fan di kde (fino alla versione 2), poi hanno cambiato tutto, già la serie 3 mi piaceva poco, sono tornato a gnome e ci resto. C'è anche da dire che un tempo c'erano tanti "puristi" detrattori di kde, perché troppo tendente a windows e molto meno gestibile di gnome. Ora questa diatriba sembra svanita, e dire che kde è diventato ancor meno gestibile..esteticamente bello, ma io voglio avere tutto sotto controllo, specie la velocità della connessione (in tempo reale) e i sensori hardware (voltaggi e temperature).
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Wed Sep 07, 2011 1:38 pm    Post subject: Reply with quote

Impostare il profilo desktop/gnome, semplicemente.
Un buon metodo è lanciare emerge -epv e vedere se qualcuna delle use disabilitate potrebbe servire.
Ti consiglio di installare eix ufed euses gentoolkit* e portage-users per iniziare a lavorarci su.
Non abilitarle tutte in una volta (od almeno ogni due, tre aggiunte lancia un emerge -aDNuv @world per vedere se non scattano conflitti e dipendenze circolari) e nel caso vai a vedere nell'ebuild cosa implicano.
Con pazienza ed abnegazione tanto il sistema funzionante con gentoo è un'utopia.

Per la use doc ti ripeto che insieme a test, examples e minimal (e non ricordo quali altre) è caldamente consigliato di abilitarle per singoli pacchetti, mai globalmente.

Per quanto riguarda l'organizzazione dei metapacchetti (gnome-light è un metapacchetto perchè di suo non installa niente, si limita ad avere come dipendenza i componenti necessari ad avere un minimo di desktop gnome installato) e dei pacchetti di gnome non so come aiutarti visto che uso kde e non mi frega niente di gnome.
A naso credo che per avere cose l'help od controlli si devano installare dei pacchetti specifici ma mi fermo qui.
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
allxsan
n00b
n00b


Joined: 11 Aug 2010
Posts: 49

PostPosted: Sat Sep 17, 2011 9:53 pm    Post subject: Reply with quote

djinnZ wrote:
Impostare il profilo desktop/gnome, semplicemente.
Un buon metodo è lanciare emerge -epv e vedere se qualcuna delle use disabilitate potrebbe servire.
Ti consiglio di installare eix ufed euses gentoolkit* e portage-users per iniziare a lavorarci su.
Non abilitarle tutte in una volta (od almeno ogni due, tre aggiunte lancia un emerge -aDNuv @world per vedere se non scattano conflitti e dipendenze circolari) e nel caso vai a vedere nell'ebuild cosa implicano.
Con pazienza ed abnegazione tanto il sistema funzionante con gentoo è un'utopia.

Per la use doc ti ripeto che insieme a test, examples e minimal (e non ricordo quali altre) è caldamente consigliato di abilitarle per singoli pacchetti, mai globalmente.

Per quanto riguarda l'organizzazione dei metapacchetti (gnome-light è un metapacchetto perchè di suo non installa niente, si limita ad avere come dipendenza i componenti necessari ad avere un minimo di desktop gnome installato) e dei pacchetti di gnome non so come aiutarti visto che uso kde e non mi frega niente di gnome.
A naso credo che per avere cose l'help od controlli si devano installare dei pacchetti specifici ma mi fermo qui.


dopo una pausa forzata a causa di lavori improrogabili sono riuscito a riprendere in mano la questione.
Con la documentazione ho parzialmente risolto, anche grazie alle dritte che avete fornito :) intanto mio fratello e' arrivato, ripartito, per ora non perdo altro tempo :D

Con gli ultimi aggiornamenti sono sorti alcuni problemi, e torniamo al punto di partenza :(
Ma per questo apro subito un nuovo post nella speranza di ricevere altre preziose dritte risparmiare un mucchio di tempo :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum